%if 0%{?fedora}
%global debug_package %{nil}
%endif

Name:     ryzen-smu
Version:  0.0.git.155.5d653e55
Release:  1%{?dist}
Summary:  A Linux kernel driver that exposes access to the SMU
License:  GPLv2
URL:      https://github.com/ublue-os/ryzen_smu

VCS:      git+https://github.com/ublue-os/ryzen_smu.git#5d653e5556c6fc8c7164ec241bd46e87567c5bbf:
Source:   ryzen_smu-5d653e55.tar.gz

Provides: %{name}-kmod-common = %{version}
Requires: %{name}-kmod >= %{version}

BuildRequires: systemd-rpm-macros
BuildRequires: make
BuildRequires: gcc

%description
A Linux kernel driver that exposes access to the SMU (System Management Unit) for certain AMD Ryzen Processors

%prep
%setup -T -b 0 -q -n ryzen_smu

%build
make -C userspace

%install
mkdir -p %{buildroot}%{_bindir}
mv userspace/monitor_cpu %{buildroot}%{_bindir}/monitor_cpu

%files
%{_bindir}/monitor_cpu
%doc README.md
%license LICENSE

%changelog
